<template>
    <div>
        <label>{{this.setting.code}}</label>
        <input
            v-if="this.setting.setting_type === 'bool'"
            type="checkbox"
            v-model="value"
        />
        <input
            v-if="this.setting.setting_type === 'text'"
            v-model="value" 
            type='text'
        />
        <button v-on:click="submit">Save</button>
    </div>
</template>

<script>
    import axios from 'axios'
    export default {
        props: {
            setting: {
                type: Object,
                required: true
            }
        },
        data() {
            return {
                value: this.setting[this.setting.setting_type + '_value']
            }
        },
        methods: {
            submit: function() {
                let key = this.setting.setting_type + '_value'
                axios.post('/api/' + 'admin/application_settings?code=' + this.setting.code, {
                    application_settings: {
                        [key]: this.value 
                    }
                })
            }
        }
    }
</script>
